FTBFS in quantal

Bug #1000055 reported by Clint Byrum on 2012-05-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apparmor (Ubuntu)
High
Steve Beattie
Quantal
High
Steve Beattie

Bug Description

The attached log shows the FTBFS .. the change I added was unrelated to the build step, so I assume the FTBFS will happen with the package in the archive to.

Relevant snippet:
/usr/bin/pod2html --header --css apparmor.css --infile=apparmor.vim.pod --outfile=apparmor.vim.5.html
while pdflatex techdoc.tex > /dev/null 2>&1 || exit 1 ; \
  grep -q "Label(s) may have changed" techdoc.log; \
 do :; done
make[1]: *** [techdoc.pdf] Error 1
make[1]: Leaving directory `/«PKGBUILDDIR»/parser'
make: *** [build-stamp] Error 2

Micah Gersten (micahg) on 2012-05-16
tags: added: ftbfs quantal
Changed in apparmor (Ubuntu Quantal):
importance: Undecided → High
status: New → Triaged
description: updated
Changed in apparmor (Ubuntu Quantal):
assignee: nobody → Steve Beattie (sbeattie)
Steve Beattie (sbeattie) wrote :

the pdflatex command is specifically failing like so:

  ! LaTeX Error: File `url.sty' not found.

digging further into it.

Changed in apparmor (Ubuntu Quantal):
status: Triaged → In Progress
Steve Beattie (sbeattie) wrote :

Looks like we need a dependency on texlive-latex-recommended, I'm not sure why it wasn't an issue before, but haven't looked into it.

--- debian/control 2012-05-16 16:47:28.000000000 -0700
+++ ../../precise/apparmor-2.7.102/debian/control 2012-03-30 18:27:10.000000000 -0700
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <email address hidden>
 XSBC-Original-Maintainer: Kees Cook <email address hidden>
-Build-Depends: debhelper (>= 8.1.2), flex, bison, bzip2, apache2-prefork-dev, libpam-dev, autotools-dev, libtool, automake, autoconf, chrpath, texlive-latex-base, texlive-latex-recommended, swig, quilt, po-debconf, dejagnu, chrpath, python-all-dev, python, perl (>= 5.8.0), liblocale-gettext-perl
+Build-Depends: debhelper (>= 8.1.2), flex, bison, bzip2, apache2-prefork-dev, libpam-dev, autotools-dev, libtool, automake, autoconf, chrpath, texlive-latex-base, swig, quilt, po-debconf, dejagnu, chrpath, python-all-dev, python, perl (>= 5.8.0), liblocale-gettext-perl
 Standards-Version: 3.9.2
 Homepage: http://apparmor.net/
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apparmor/master

It might also be useful to add the following to debian/rules to get extra output during the build:

--- debian/rules 2012-05-16 16:16:50.000000000 -0700
+++ ../../precise/apparmor-2.7.102/debian/rules 2012-03-05 07:47:27.000000000 -0800
@@ -53,7 +53,7 @@
 ifneq (,$(filter $(DEB_HOST_ARCH_OS), kfreebsd knetbsd hurd ))
  cd parser && $(MAKE) indep
 else
- cd parser && $(MAKE) V=1 && $(MAKE) check V=1
+ cd parser && $(MAKE) && $(MAKE) check
 endif
  cd profiles && $(MAKE)
  touch $@

Steve Beattie (sbeattie) wrote :

Bah, of course those patches are reversed. But it builds with them when applied correctly.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor - 2.7.102-0ubuntu4

---------------
apparmor (2.7.102-0ubuntu4) quantal; urgency=low

  * Fix FTBFS (LP: #1000055). Patch thanks to Steve Beattie.
    - debian/control: Build-Depends on texlive-latex-recommended
    - debian/rules: add V=1 for 'make' and 'make check' when building the
      parser
  * debian/patches/0018-lp990931.patch: adjust path for thunderbird to include
    non-versioned path
    - LP: #990931
 -- Jamie Strandboge <email address hidden> Fri, 18 May 2012 15:02:02 -0500

Changed in apparmor (Ubuntu Quantal):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers